#!/usr/bin/perl

use strict;
use warnings;

use Archive::Zip qw( :ERROR_CODES );

my $zip = Archive::Zip->new();
die "Whoops!" unless $zip->read( './BlueCoconut.par' ) == AZ_OK;
my @members = $zip->members();
mkdir 'par';
foreach my $member (@members) {
  print "Extracting 'par/".$member->{fileName}."'\n";
  $zip->extractMember($member, 'par/'.$member->{fileName});
}
